import type { Dependency, Visitable, Visitor } from '../visitors';
import type { Node } from './Node';
export declare class TypeDefinedLinkNode implements Visitable {
    readonly nodeClass: "TypeDefinedLinkNode";
    readonly name: string;
    readonly dependency: Dependency;
    readonly size: number | null;
    constructor(name: string, options?: {
        dependency?: Dependency;
        size?: number | null;
    });
    accept<T>(visitor: Visitor<T>): T;
}
export declare function isTypeDefinedLinkNode(node: Node | null): node is TypeDefinedLinkNode;
export declare function assertTypeDefinedLinkNode(node: Node | null): asserts node is TypeDefinedLinkNode;
